
#include <stdio.h>
#include "gttp-pluginimpl.h"
#include "gttp-dynset.h"
#include "gttp-dynlist.h"



int main()
{
    printf("Glib version: %d.%d.%d \n\n", glib_major_version, glib_minor_version, glib_micro_version );

    g_type_init();

    GTTPPluginImpl* plugin = GTTP_PLUGINIMPL(g_type_create_instance (GTTP_TYPE_PLUGINIMPL));


    
    test_register_gttp_dynset_type(GTTP_TYPE_FSET,
                                        G_TYPE_PLUGIN(plugin),
                                        GTTP_TYPE_DYNSET_NAME,
                                        0,
                                        NULL);


    test_register_gttp_type_idynlist(GTTP_TYPE_IDYNLIST_NAME,
                                     G_TYPE_PLUGIN(plugin),
                                     0,
                                     NULL);


    test_register_gttp_dynlist_type(GTTP_TYPE_DYNSET,
                                    GTTP_TYPE_IDYNLIST,
                                    G_TYPE_PLUGIN(plugin),
                                    GTTP_TYPE_DYNLIST_NAME,
                                    0,
                                    NULL,
                                    NULL);

    printf("---------------------------------------------------->\n");


    gpointer dynamic_list = g_type_class_ref(GTTP_TYPE_DYNLIST);

    printf("\nGTTPDynListClass pointer=%p\n\n", dynamic_list);

    g_type_class_unref(dynamic_list);

    printf("---------------------------------------------------->\n");
    
    
    
    return 0;
}
